### Method

# Snapd Snap get_publisher_validation

since: 1.42

#### Declaration [src]

    SnapdPublisherValidation
    snapd_snap_get_publisher_validation (
      SnapdSnap* snap
    )

#### Description [src]

Get the validation for the snap publisher, e.g. `SNAPD_PUBLISHER_VALIDATION_VERIFIED`.

Available since: 1.42

Gets property | `Snapd.Snap:publisher-validation`

#### Return value

Type: `SnapdPublisherValidation`

A `SnapdPublisherValidation`.